# Update update template

URL: /en/docs/api/v1/updates/templates/id/patch
Last Updated: 2026-07-30T21:15:30.726Z

## Description
No description available.

## Available Actions
- Execute PATCH request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### PATCH /api/v1/updates/templates/{id}

**Update update template**

Update a tenant-owned update template. Global templates are read-only.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes | Update template ID |

**Request body** (`application/json`) - required:

- `title` (string, required)
- `summary` (string)
- `description_md` (string)
- `badge` (string)
- `category` (string)

**Responses:**

- `200` - Template updated
  - `success` (boolean)
  - `data` (object)
    - `template` (UpdateTemplate (object))
      - `id` (string)
      - `title` (string)
      - `summary` (any)
      - `description_md` (any)
      - `badge` (any)
      - `tenant` (any)
      - `category` (object)
        - `id` (string)
        - `title` (string)
- `403` - Global templates cannot be updated
- `404` - Template not found
- `500` - Failed to update update template

